Version 2.0 of the Academus Portal is certified to work with the following browsers:

Note: JavaScript must be enabled on all versions Other browsers that support a certain level of JavaScript may also work. If you are getting this message, the browser that you are using either has JavaScript turned off, or it doesn't support the level of JavaScript required by the portal. If JavaScript is turned off, please re-enable JavaScript and try again.

To download and install a certified browser select one of the following:

After installing your new browser, verify that JavaScript is enabled and go to the portal in the new browser.